Bug 180422 - Review Request: gnome-mud
Review Request: gnome-mud
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 20:22 EST by Harlan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 11:34:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harlan 2006-02-07 20:22:58 EST
Spec URL:
http://m2g04.tunegenie.com/~hlb/Personal/gnome-mud.spec

SRPM URL:
http://m2g04.tunegenie.com/~hlb/Personal/gnome-mud-0.10.7-1.src.rpm

Description: 
A GTK based MUD client scriptable in python!
Comment 1 Harlan 2006-02-07 22:01:42 EST
Upgraded, Spec URL the same, SRPM url is
http://m2g04.tunegenie.com/~hlb/Personal/gnome-mud-0.10.7-2.src.rpm


Builds successfully in mock.
Comment 2 Wart 2006-02-08 13:10:03 EST
Package doesn't build for me as a non-root user in a non-mock environment.  It
looks like there is an invocation of scrollkeeper in one of the Makefiles that
doesn't obey $(DESTDIR):

mkdir -p -- /var/tmp/gnome-mud-0.10.7-2-root-rpmbuild/usr/share/omf/gnome-mud
for file in ./*.omf; do \
        /usr/bin/install -c -m 644 ./$file
/var/tmp/gnome-mud-0.10.7-2-root-rpmbuild/usr/share/omf/gnome-mud; \
done
scrollkeeper-update -p /var/scrollkeeper
Could not create directory /var/scrollkeeper : Permission denied
Comment 3 Frank Arnold 2006-02-08 13:25:13 EST
(In reply to comment #2)
> Package doesn't build for me as a non-root user in a non-mock environment.  It
> looks like there is an invocation of scrollkeeper in one of the Makefiles that
> doesn't obey $(DESTDIR):

gnome-mud uses gnome-doc-utils for building the help files. Adding the configure
flag --disable-scrollkeeper should fix it. I wonder if gnome-doc-utils should be
added as BR...
Comment 4 Frank Arnold 2006-02-08 13:35:06 EST
Sorry, forgot to mention it: scrollkeeper-update is needed in %post and %postun

Basically like documented in the Wiki, but without 'BuildRequires: scrollkeeper':
http://fedoraproject.org/wiki/ScriptletSnippets#head-3c9f517f0cd4aaabb369a8805226d85dc2f02793

Comment 5 Harlan 2006-02-08 18:43:54 EST
Fixed all above.  Added gnome-doc-utils as BR, just in case. Spec file is the
same, SRPM is:
http://m2g04.tunegenie.com/~hlb/Personal/gnome-mud-0.10.7-3.src.rpm
Comment 6 Brian Pepple 2006-02-08 19:04:22 EST
Some thing that you need to fix:

1.  There's a couple of unnecessary BR, such as vte, libglade2.
2.  Drop the requires on gtk2.  Your BR should pull this in automatically.
3.  You need to use macros in your file section (and also when you modify the
desktop file).  Refer to the wiki for the specific macros.
4.  Run rpmlint on your rpm.  I'm guessing that it will give a few error that
need to fix (just by looking at your spec I'd say that some of the lines in the
description are to long).
5.  In the files section, /usr/share/* (which should be %{_datadir}, BTW) should
be changed, using a wildcard to pull child directories could cause ownership
problems.
6.  The desktop file looks to be wrong in the files section, since your adding a
vendor.  The file should be fedora-gnome-mud.desktop.  I'm guessing your packing
the wrong desktop file, since your not deleting the original.

You should give the wiki another read-over, since most of the issues are
addressed there.  Before someone will sponser you, you've got to demonstate a
good understanding of Fedora Extras package process and requirements.
Comment 7 Wart 2006-02-09 12:03:17 EST
The scrollkeeper problem from comment #2 still exists in the -3 package.  It
looks like '--disable-scrollkeeper' didn't fix the problem.

In addition, there is an rpath set that should be removed:
ERROR   0001: file '/usr/games/gnome-mud' contains a standard rpath '/usr/lib64'
in [/usr/lib64]
Comment 8 Harlan 2006-02-09 14:11:46 EST
Fixed problems mentioned in #6, with one exception.  No matter how many times I
looked, I couldn't find fedora-gnome-mud.desktop.  Also, I'm adding the vendor
per wiki specifications.

Am at a loss about what to do with the scrollkeeper issue.

Also, couldn't find any mention of the rpath error as said in comment #7.

SRPM is:
http://m2g04.tunegenie.com/~hlb/Personal/gnome-mud-0.10.7-4.src.rpm
Comment 9 Brian Pepple 2006-02-09 14:36:56 EST
The package still fails to build in Mock.
Comment 10 Wart 2006-02-09 14:42:50 EST
I'm not sure what to do about scrollkeeper either.  Even if I set
"scrollkeeper_localstate_dir" on the "make install" line, scrollkeeper still
tries (and fails) to write to /var/log/scrollkeeper.  Best just to turn off the
scrollkeeper-update during 'make install', but from what I can see you'll have
to patch the Makefile to do that.

The rpath error that I get comes from the check-rpaths test at the end of rpmbuild:
+ /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot

It's possible that you don't have this rpath-checking turned on in your build
environment.  'fedora-buildrpmtree' should have put the following line in your
.rpmmacros to enable this feature:
%__arch_install_post   /usr/lib/rpm/check-rpaths   /usr/lib/rpm/check-buildroot
Comment 11 Brian Pepple 2006-02-09 15:14:20 EST
(In reply to comment #8)
> Fixed problems mentioned in #6, with one exception.  No matter how many times I
> looked, I couldn't find fedora-gnome-mud.desktop.  Also, I'm adding the vendor
> per wiki specifications.

The problem is that your not deleting the original desktop file.  Use this:

desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

Also, the spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Comment 12 Frank Arnold 2006-02-10 05:54:49 EST
(In reply to comment #7)
> The scrollkeeper problem from comment #2 still exists in the -3 package.  It
> looks like '--disable-scrollkeeper' didn't fix the problem.

Ooops, this was my fault. I should look at the package sources or at least
select the correct tag in GNOME CVS. The packaged version is old style
scrollkeeper. The gnome-doc-utils approach is only in CVS HEAD right now, so
future versions will use it.

More careful comments:
1. Undo the crap suggested by me. Remove BR gnome-doc-utils and add BR scrollkeeper
2. Add 'export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1' before 'make install'
3. Unpackaged files: %{_datadir}/gnome/help/gnome-mud/C/monitor.py[co]. Not sure
if they should be ghosted.
4. GConf scheme handling is missing - see ScriptletSnippets in the wiki
5. Description needs to be wrapped after 80 chars
6. Changelog not up to date (rpmlint)
7. At least the license text (COPYING) is missing in %doc. I would add AUTHORS,
NEWS, and ROADMAP too.
8. I would add this line after '%setup -q' to solve the scrollkeeper issue:

sed -i -e '/-scrollkeeper-update -p/d' doc/omf-install/Makefile.in
Comment 13 Toshio Kuratomi 2006-02-10 13:59:49 EST
> 3. Unpackaged files: %{_datadir}/gnome/help/gnome-mud/C/monitor.py[co]. Not sure
> if they should be ghosted.

Possibly ghosted, possibly left out altogether (by rm'ing them in %install).  It
looks like monitor.py is documentation, not as something that should be run. 
The monitor.py file itself should probably not be exceutable as it is documentation.
Comment 14 Harlan 2006-02-24 11:34:35 EST
Development stopped for two reasons:

1. Found project more worthwhile for insertion into Extras

2. Found better coded MUD editor.  Kmuddy, already included in Extras.

Note You need to log in before you can comment on or make changes to this bug.